APROPOS(1)

NOM
apropos - cherche le nom et la description des pages de manuel

SYNOPSIS
apropos [-dhV] [-e|-w|-r] [-s section] [-m système[,...]] [-M chemin] [-C fichier] mot-clé ...

DESCRIPTION
Chaque page de manuel comporte une courte description. apropos recherche et affiche cette description pour chaque page correspondant à mot-clé. mot-clé est, par défaut, considéré en tant qu'expression rationnelle, comme avec l'option -r, mais peut aussi contenir des jokers (wildcards) avec l'option -w, ou rechercher une correspondance exacte avec le mot-clé grâce à l'option -e. Avec ces options, il peut être nécessaire de placer mot-clé entre guillemets (simples ou doubles) ou d'« échapper » avec « \ » les caractères spéciaux afin d'empêcher l'interpréteur de commandes de les interpréter. Les règles standard permettent de faire des recherches sur le nom des pages ainsi que sur des mots de la description.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-v, --verbose
    Affiche des messages d'avertissement étendus.

-r, --regex
    Interprète chaque mot-clé comme une expression rationnelle. C'est le comportement par défaut. Chaque mot-clé sera indépendamment comparé avec le nom des pages et avec leur description. Il peut correspondre à n'importe quelle partie de l'un ou l'autre. La recherche n'est pas limitée aux frontières de mot.

-w, --wildcard
    Interprète chaque mot-clé comme un motif contenant des jokers (wildcards) compréhensibles par l'interpréteur de commandes. Chaque motif sera comparé indépendamment avec le nom des pages et avec leur description. Si --exact est employé, la recherche n'aboutira que si le motif correspond au nom complet de la page ou à la totalité de la description. Sinon, les correspondances entre le motif et des mots complets de la description seront également recherchées.

-e, --exact
    Chaque mot-clé est comparé exactement avec le nom des pages et avec leur description.

-s section, --section section
    La recherche est limitée à la section de manuel indiquée. Si section est une section simple, par exemple « 3 », alors la liste des descriptions affichées inclura les pages des sections « 3 », « 3perl », « 3x », et ainsi de suite. Par contre, si section est plus précis, par exemple « 3perl », alors la liste inclura seulement les pages de cette partie de section.

-m système[,...], --systems=système[,...]
    Si le système a accès aux pages de manuel d'autres systèmes d'exploitation, elles peuvent être recherchées en utilisant cette option. Pour rechercher la description des pages de manuel de NewOS, il faut employer l'option -m NewOS. Le système indiqué peut être une suite de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure une recherche sur le whatis du système natif, il faut inclure le nom système « man » dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique une liste de structures hiérarchiques de pages de manuel, délimitées par des « : », à utiliser lors des recherches. Par défaut, apropos utilise la variable d'environnement $MANPATH, à moins qu'elle ne soit vide ou ait été supprimée. Dans ce cas, il détermine la liste appropriée des chemins d'accès aux pages de manuel, en se basant sur la variable d'environnement $PATH. Cette option remplace le contenu de $MANPATH.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

VALEUR DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

16  Rien n'a été trouvé selon les critères indiqués.

ENVIRONNEMENT

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiqué comme argument de l'option -m.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par « : », représentant les chemins d'accès aux structures hiérarchiques de pages de manuel.

POSIXLY_CORRECT
    Si $POSIXLY_CORRECT est définie, même avec une valeur nulle, apropos fera, par défaut, une recherche selon une expression rationnelle, comme si l'option « -r » avait été spécifiée. Il s'agit actuellement du comportement par défaut.

FICHIERS

/usr/share/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FHS.

/usr/share/man/.../whatis
    Base de données texte whatis traditionnelle.

VOIR AUSSI
whatis(1), man(1).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.